Bug 186031 - [HeapWalker] speedup computation of GC roots
[HeapWalker] speedup computation of GC roots
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 16:10 UTC by Tomas Hurka
Modified: 2010-05-26 10:52 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2010-05-12 16:10:12 UTC
Computation of GC roots will be faster if the algorithm will use instanceid(s) and avoid constructing Instance objects where possible.
Comment 1 Tomas Hurka 2010-05-12 16:14:55 UTC
Fixed in profiler-main
changeset:   170464:cacb8bd4ab69
user:        Tomas Hurka <thurka@netbeans.org>
date:        Wed May 12 18:12:20 2010 +0200
summary:     bugfix #186031, use instanceId instead of Instance
Comment 2 Quality Engineering 2010-05-19 06:13:46 UTC
Integrated into 'main-golden', will be available in build *201005182201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo